> For the complete documentation index, see [llms.txt](https://docs.tebex.io/developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tebex.io/developers/headless-api/gifting-packages.md).

# Gifting Packages

### Gifting a Package to Another Player

You can allow players to gift packages to other players. Include `target_username_id` , or `target_username` **when adding the package to the basket** and the package will be delivered to that player rather than the buyer.

### Gifting Example

The **target\_username\_id** should be a unique identifier for the player instead of their name (such as a Minecraft UUID or Steam ID):

```json
{
    "package_id": "6276316",
    "target_username_id": "069a79f444e94726a5befca90e38aaf5"
}
```

{% hint style="warning" %}
Bedrock and Geyser stores must provide **target\_username** instead of the UUID due to differences in player IDs between Minecraft: Java Edition and Minecraft: Bedrock Edition.
{% endhint %}

```json
{
    "package_id": "6276316",
    "target_username": "TebexDev"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tebex.io/developers/headless-api/gifting-packages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
